type optionsRalated = {
    bucketName: string;
    importFileName: any;
    autoContentType?: boolean;
};
type ImExportFuncRelated = {
    status: boolean;
    taskId?: string;
};
export declare const useFile: (emits: any) => {
    importDialog: import("vue").Ref<boolean, boolean>;
    showProgressDialog: import("vue").Ref<boolean, boolean>;
    progressTitle: import("vue").Ref<string, string>;
    percent: import("vue").Ref<number, number>;
    progressStatus: import("vue").Ref<string, string>;
    progressLoading: import("vue").Ref<boolean, boolean>;
    progressResult: any;
    errorFileName: import("vue").Ref<string, string>;
    errorFileSize: import("vue").Ref<string, string>;
    errorMessage: import("vue").Ref<string, string>;
    errorImport: import("vue").Ref<boolean, boolean>;
    errorFilePath: import("vue").Ref<string, string>;
    fileHandleType: import("vue").Ref<string, string>;
    fileImport: (importFunc: (n?: any) => Promise<ImExportFuncRelated>, file: any, options: optionsRalated, isBatch?: boolean, needProgress?: boolean, errPathName?: string) => Promise<void>;
    fileExport: (exportFunc: () => Promise<ImExportFuncRelated>, fileName?: string, fileSuffix?: string) => Promise<void>;
    fileAction: (exportFunc: () => Promise<ImExportFuncRelated>, fileName?: string, actionTitle?: string) => Promise<void>;
    generateUniqueName: (fileName?: string) => string;
    downloadFile: (path: any, filename: string, fileSuffix?: string) => void;
    resetStataus: () => void;
    checkProgress: (taskId: any, type: string, fileName: string, fileSuffix?: string) => Promise<void>;
    clearTimer: () => void;
};
/**
 * 下载文件
 * @param path  文件链接
 * @param filename 下载文件名
 */
export declare const downloadFile: (path: any, filename: string, fileSuffix?: string) => void;
export {};
